Subject: Re: [PATCH 02/02] add mask options to fwmark masking code

From: Patrick McHardy <[email-masked]>
Date: Fri, 24 Feb 2006 05:58:42 +0100

Michael Richardson wrote:
> 
> 
>>>>>>>"Patrick" == Patrick McHardy <[email-masked]> writes:
> 
>     >> #define RTA_FWMARK RTA_PROTOINFO +#define RTA_FWMARK_MASK
>     >> RTA_CACHEINFO
> 
>     Patrick> Please introduce a new attribute for this instead of
>     Patrick> overloading RTA_CACHEINFO.
> 
>   I would be happy to do that.
>   Should I also un-overload FWMARK, with backwards compatibility?

No, that one is fine since it doesn't already have a different meaning.